/*
 * Copyright (C) SapphireCode - All Rights Reserved
 * This file is part of Snippeteer which is released under BSD-3-Clause.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, June 2020
 */

import { Database } from '../classes/Database';
import { Menu } from './Menu';

export class MainMenu extends Menu {
  public constructor (db: Database) {
    super ('Snippeteer Database');
    this.register_option ('quit', () => {
      // noop
    });
    this.register_option ('create table', () => {
      console.log ('table');
    });
  }
}
